IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/16
Addresses2^112
/64 networks2^48
- Network
fc4e::/16- First address
fc4e::- Last address
fc4e:ffff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
- /64 networks (LANs)
- 281,474,976,710,656 (2^48)
- Full form
fc4e:0000:0000:0000:0000:0000:0000:0000- Type
- Unique local (ULA) fc00::/7
Private IPv6, like RFC 1918; usually fd00::/8 - Reverse DNS zone
e.4.c.f.ip6.arpa
Split into smaller subnets
fc4e::/16 makes 65,536 subnets of /32; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | fc4e::/32 | fc4e:0:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | fc4e:1::/32 | fc4e:1:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | fc4e:2::/32 | fc4e:2:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | fc4e:3::/32 | fc4e:3:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | fc4e:4::/32 | fc4e:4:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | fc4e:5::/32 | fc4e:5:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | fc4e:6::/32 | fc4e:6:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | fc4e:7::/32 | fc4e:7:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | fc4e:8::/32 | fc4e:8:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | fc4e:9::/32 | fc4e:9:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | fc4e:a::/32 | fc4e:a:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | fc4e:b::/32 | fc4e:b:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | fc4e:c::/32 | fc4e:c:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | fc4e:d::/32 | fc4e:d:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | fc4e:e::/32 | fc4e:e:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | fc4e:f::/32 | fc4e:f:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | fc4e:10::/32 | fc4e:10:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | fc4e:11::/32 | fc4e:11:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | fc4e:12::/32 | fc4e:12:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | fc4e:13::/32 | fc4e:13:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | fc4e:14::/32 | fc4e:14:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | fc4e:15::/32 | fc4e:15:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | fc4e:16::/32 | fc4e:16:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | fc4e:17::/32 | fc4e:17:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | fc4e:18::/32 | fc4e:18:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | fc4e:19::/32 | fc4e:19:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | fc4e:1a::/32 | fc4e:1a:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | fc4e:1b::/32 | fc4e:1b:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | fc4e:1c::/32 | fc4e:1c:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | fc4e:1d::/32 | fc4e:1d:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | fc4e:1e::/32 | fc4e:1e:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | fc4e:1f::/32 | fc4e:1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | fc4e:20::/32 | fc4e:20:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | fc4e:21::/32 | fc4e:21:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | fc4e:22::/32 | fc4e:22:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | fc4e:23::/32 | fc4e:23:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | fc4e:24::/32 | fc4e:24:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | fc4e:25::/32 | fc4e:25:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | fc4e:26::/32 | fc4e:26:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | fc4e:27::/32 | fc4e:27:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | fc4e:28::/32 | fc4e:28:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | fc4e:29::/32 | fc4e:29:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | fc4e:2a::/32 | fc4e:2a:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | fc4e:2b::/32 | fc4e:2b:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | fc4e:2c::/32 | fc4e:2c:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | fc4e:2d::/32 | fc4e:2d:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | fc4e:2e::/32 | fc4e:2e:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | fc4e:2f::/32 | fc4e:2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | fc4e:30::/32 | fc4e:30:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | fc4e:31::/32 | fc4e:31:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | fc4e:32::/32 | fc4e:32:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | fc4e:33::/32 | fc4e:33:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | fc4e:34::/32 | fc4e:34:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | fc4e:35::/32 | fc4e:35:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | fc4e:36::/32 | fc4e:36:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | fc4e:37::/32 | fc4e:37:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | fc4e:38::/32 | fc4e:38:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | fc4e:39::/32 | fc4e:39:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | fc4e:3a::/32 | fc4e:3a:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | fc4e:3b::/32 | fc4e:3b:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | fc4e:3c::/32 | fc4e:3c:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | fc4e:3d::/32 | fc4e:3d:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | fc4e:3e::/32 | fc4e:3e:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | fc4e:3f::/32 | fc4e:3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | fc4e:40::/32 | fc4e:40:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | fc4e:41::/32 | fc4e:41:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | fc4e:42::/32 | fc4e:42:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | fc4e:43::/32 | fc4e:43:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | fc4e:44::/32 | fc4e:44:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | fc4e:45::/32 | fc4e:45:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | fc4e:46::/32 | fc4e:46:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | fc4e:47::/32 | fc4e:47:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | fc4e:48::/32 | fc4e:48:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | fc4e:49::/32 | fc4e:49:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | fc4e:4a::/32 | fc4e:4a:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | fc4e:4b::/32 | fc4e:4b:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | fc4e:4c::/32 | fc4e:4c:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | fc4e:4d::/32 | fc4e:4d:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | fc4e:4e::/32 | fc4e:4e:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | fc4e:4f::/32 | fc4e:4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | fc4e:50::/32 | fc4e:50:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | fc4e:51::/32 | fc4e:51:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | fc4e:52::/32 | fc4e:52:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | fc4e:53::/32 | fc4e:53:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | fc4e:54::/32 | fc4e:54:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | fc4e:55::/32 | fc4e:55:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | fc4e:56::/32 | fc4e:56:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | fc4e:57::/32 | fc4e:57:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | fc4e:58::/32 | fc4e:58:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | fc4e:59::/32 | fc4e:59:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | fc4e:5a::/32 | fc4e:5a:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | fc4e:5b::/32 | fc4e:5b:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | fc4e:5c::/32 | fc4e:5c:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | fc4e:5d::/32 | fc4e:5d:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | fc4e:5e::/32 | fc4e:5e:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | fc4e:5f::/32 | fc4e:5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | fc4e:60::/32 | fc4e:60:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | fc4e:61::/32 | fc4e:61:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | fc4e:62::/32 | fc4e:62:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | fc4e:63::/32 | fc4e:63:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | fc4e:64::/32 | fc4e:64:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | fc4e:65::/32 | fc4e:65:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | fc4e:66::/32 | fc4e:66:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | fc4e:67::/32 | fc4e:67:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | fc4e:68::/32 | fc4e:68:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | fc4e:69::/32 | fc4e:69:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | fc4e:6a::/32 | fc4e:6a:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | fc4e:6b::/32 | fc4e:6b:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | fc4e:6c::/32 | fc4e:6c:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | fc4e:6d::/32 | fc4e:6d:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | fc4e:6e::/32 | fc4e:6e:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | fc4e:6f::/32 | fc4e:6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | fc4e:70::/32 | fc4e:70:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | fc4e:71::/32 | fc4e:71:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | fc4e:72::/32 | fc4e:72:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | fc4e:73::/32 | fc4e:73:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | fc4e:74::/32 | fc4e:74:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | fc4e:75::/32 | fc4e:75:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | fc4e:76::/32 | fc4e:76:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | fc4e:77::/32 | fc4e:77:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | fc4e:78::/32 | fc4e:78:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | fc4e:79::/32 | fc4e:79:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | fc4e:7a::/32 | fc4e:7a:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | fc4e:7b::/32 | fc4e:7b:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | fc4e:7c::/32 | fc4e:7c:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | fc4e:7d::/32 | fc4e:7d:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | fc4e:7e::/32 | fc4e:7e:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | fc4e:7f::/32 | fc4e:7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | fc4e:80::/32 | fc4e:80:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | fc4e:81::/32 | fc4e:81:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | fc4e:82::/32 | fc4e:82:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | fc4e:83::/32 | fc4e:83:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | fc4e:84::/32 | fc4e:84:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | fc4e:85::/32 | fc4e:85:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | fc4e:86::/32 | fc4e:86:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | fc4e:87::/32 | fc4e:87:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | fc4e:88::/32 | fc4e:88:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | fc4e:89::/32 | fc4e:89:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | fc4e:8a::/32 | fc4e:8a:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | fc4e:8b::/32 | fc4e:8b:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | fc4e:8c::/32 | fc4e:8c:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | fc4e:8d::/32 | fc4e:8d:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | fc4e:8e::/32 | fc4e:8e:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | fc4e:8f::/32 | fc4e:8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | fc4e:90::/32 | fc4e:90:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | fc4e:91::/32 | fc4e:91:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | fc4e:92::/32 | fc4e:92:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | fc4e:93::/32 | fc4e:93:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | fc4e:94::/32 | fc4e:94:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | fc4e:95::/32 | fc4e:95:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | fc4e:96::/32 | fc4e:96:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | fc4e:97::/32 | fc4e:97:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | fc4e:98::/32 | fc4e:98:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | fc4e:99::/32 | fc4e:99:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | fc4e:9a::/32 | fc4e:9a:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | fc4e:9b::/32 | fc4e:9b:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | fc4e:9c::/32 | fc4e:9c:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | fc4e:9d::/32 | fc4e:9d:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | fc4e:9e::/32 | fc4e:9e:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | fc4e:9f::/32 | fc4e:9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | fc4e:a0::/32 | fc4e:a0:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | fc4e:a1::/32 | fc4e:a1:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | fc4e:a2::/32 | fc4e:a2:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | fc4e:a3::/32 | fc4e:a3:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | fc4e:a4::/32 | fc4e:a4:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | fc4e:a5::/32 | fc4e:a5:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | fc4e:a6::/32 | fc4e:a6:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | fc4e:a7::/32 | fc4e:a7:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | fc4e:a8::/32 | fc4e:a8:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | fc4e:a9::/32 | fc4e:a9:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | fc4e:aa::/32 | fc4e:aa:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | fc4e:ab::/32 | fc4e:ab:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | fc4e:ac::/32 | fc4e:ac:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | fc4e:ad::/32 | fc4e:ad:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | fc4e:ae::/32 | fc4e:ae:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | fc4e:af::/32 | fc4e:af:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | fc4e:b0::/32 | fc4e:b0:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | fc4e:b1::/32 | fc4e:b1:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | fc4e:b2::/32 | fc4e:b2:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | fc4e:b3::/32 | fc4e:b3:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | fc4e:b4::/32 | fc4e:b4:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | fc4e:b5::/32 | fc4e:b5:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | fc4e:b6::/32 | fc4e:b6:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | fc4e:b7::/32 | fc4e:b7:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | fc4e:b8::/32 | fc4e:b8:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | fc4e:b9::/32 | fc4e:b9:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | fc4e:ba::/32 | fc4e:ba:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | fc4e:bb::/32 | fc4e:bb:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | fc4e:bc::/32 | fc4e:bc:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | fc4e:bd::/32 | fc4e:bd:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | fc4e:be::/32 | fc4e:be:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | fc4e:bf::/32 | fc4e:bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | fc4e:c0::/32 | fc4e:c0:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | fc4e:c1::/32 | fc4e:c1:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | fc4e:c2::/32 | fc4e:c2:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | fc4e:c3::/32 | fc4e:c3:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | fc4e:c4::/32 | fc4e:c4:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | fc4e:c5::/32 | fc4e:c5:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | fc4e:c6::/32 | fc4e:c6:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | fc4e:c7::/32 | fc4e:c7:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | fc4e:c8::/32 | fc4e:c8:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | fc4e:c9::/32 | fc4e:c9:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | fc4e:ca::/32 | fc4e:ca:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | fc4e:cb::/32 | fc4e:cb:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | fc4e:cc::/32 | fc4e:cc:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | fc4e:cd::/32 | fc4e:cd:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | fc4e:ce::/32 | fc4e:ce:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | fc4e:cf::/32 | fc4e:cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | fc4e:d0::/32 | fc4e:d0:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | fc4e:d1::/32 | fc4e:d1:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | fc4e:d2::/32 | fc4e:d2:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | fc4e:d3::/32 | fc4e:d3:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | fc4e:d4::/32 | fc4e:d4:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | fc4e:d5::/32 | fc4e:d5:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | fc4e:d6::/32 | fc4e:d6:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | fc4e:d7::/32 | fc4e:d7:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | fc4e:d8::/32 | fc4e:d8:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | fc4e:d9::/32 | fc4e:d9:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | fc4e:da::/32 | fc4e:da:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | fc4e:db::/32 | fc4e:db:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | fc4e:dc::/32 | fc4e:dc:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | fc4e:dd::/32 | fc4e:dd:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | fc4e:de::/32 | fc4e:de:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | fc4e:df::/32 | fc4e:df:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | fc4e:e0::/32 | fc4e:e0:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | fc4e:e1::/32 | fc4e:e1:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | fc4e:e2::/32 | fc4e:e2:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | fc4e:e3::/32 | fc4e:e3:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | fc4e:e4::/32 | fc4e:e4:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | fc4e:e5::/32 | fc4e:e5:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | fc4e:e6::/32 | fc4e:e6:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | fc4e:e7::/32 | fc4e:e7:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | fc4e:e8::/32 | fc4e:e8:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | fc4e:e9::/32 | fc4e:e9:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | fc4e:ea::/32 | fc4e:ea:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | fc4e:eb::/32 | fc4e:eb:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | fc4e:ec::/32 | fc4e:ec:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | fc4e:ed::/32 | fc4e:ed:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | fc4e:ee::/32 | fc4e:ee:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | fc4e:ef::/32 | fc4e:ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | fc4e:f0::/32 | fc4e:f0:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | fc4e:f1::/32 | fc4e:f1:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | fc4e:f2::/32 | fc4e:f2:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | fc4e:f3::/32 | fc4e:f3:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | fc4e:f4::/32 | fc4e:f4:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | fc4e:f5::/32 | fc4e:f5:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | fc4e:f6::/32 | fc4e:f6:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | fc4e:f7::/32 | fc4e:f7:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | fc4e:f8::/32 | fc4e:f8:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | fc4e:f9::/32 | fc4e:f9:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | fc4e:fa::/32 | fc4e:fa:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | fc4e:fb::/32 | fc4e:fb:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | fc4e:fc::/32 | fc4e:fc:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | fc4e:fd::/32 | fc4e:fd:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | fc4e:fe::/32 | fc4e:fe:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | fc4e:ff::/32 | fc4e:ff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |